| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwmgRELION.cpp File Reference

Library routines to read and write micrograph parameters in RELION STAR format. More...

`#include "mg_processing.h"`
`#include "rwmgSTAR.h"`
`#include "rwstar.h"`
`#include "mg_tags.h"`
`#include "rwimg.h"`
`#include "linked_list.h"`
`#include "utilities.h"`
`#include <sys/stat.h>`
`#include <fcntl.h>`

Go to the source code of this file.

## Functions
int | relion_to_project (Bstar *star, Bproject *project)
int | micrograph_to_relionblock (Bmicrograph *mg, Bstar_block *block)
int | project_to_relion (Bproject *project, Bstar *star, int mg_select, int rec_select)
int | read_project_relion (Bstring &filename, Bproject *project)
| Reading micrograph parameters from a Relion file. More...
int | write_project_relion (Bstring &filename, Bproject *project, int mg_select, int rec_select)
| Writing micrograph parameters to a Relion file. More...
int | project_split_particles (Bproject *project, Bstring partfile, Bstring path, Bstring partext)
| Modifies some micrograph parameters. More...

## Variables
int | verbose

## Detailed Description

Library routines to read and write micrograph parameters in RELION STAR format.

Author
  Bernard Heymann

Date
  Created: 20061101
  Modified: 20180322

Definition in file rwmgRELION.cpp.

## Function Documentation

## ◆ micrograph_to_relionblock()

int micrograph_to_relionblock | ( | Bmicrograph * | mg,
|  | Bstar_block * | block
| ) |  |

Definition at line 165 of file rwmgRELION.cpp.

## ◆ project_split_particles()

int project_split_particles | ( | Bproject * | project,
|  | Bstring | partfile,
|  | Bstring | path,
|  | Bstring | partext
| ) |  |

Modifies some micrograph parameters.

Parameters

  *project | project structure.
  partfile | Relion stack of particles file.
  path | path to write new particle files.
  partext | extension to set the new particle image format.

Returns
  int error code (<0 means failure).

Definition at line 303 of file rwmgRELION.cpp.

## ◆ project_to_relion()

int project_to_relion | ( | Bproject * | project,
|  | Bstar * | star,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Definition at line 218 of file rwmgRELION.cpp.

## ◆ read_project_relion()

int read_project_relion | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Reading micrograph parameters from a Relion file.

Parameters

  &filename | file name (or comma-delimited list).
  *project | initialized project structure.

Returns
  int error code (<0 means failure).

Definition at line 249 of file rwmgRELION.cpp.

## ◆ relion_to_project()

int relion_to_project | ( | Bstar * | star,
|  | Bproject * | project
| ) |  |

Definition at line 23 of file rwmgRELION.cpp.

## ◆ write_project_relion()

int write_project_relion | ( | Bstring & | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Writing micrograph parameters to a Relion file.

Parameters

  *filename | file name.
  *project | project structure.
  mg_select | flag to select micrograph.
  rec_select | flag to select reconstruction.

Returns
  int error code (<0 means failure).

Definition at line 277 of file rwmgRELION.cpp.

## Variable Documentation

## ◆ verbose

int verbose